import java.util.*;
import java.io.*;

public class banking {

  static BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

  public static void main(String[] args) throws IOException {
    new banking().run();
    
  }
  
  public void run() throws IOException {
    while (true) {
      Case cas = new Case();
      cas.process();
    }
  }

  class Case {

    Map<String, Double> accounts = new HashMap<String, Double> ();

    void process() throws IOException {
      int num = Integer.parseInt(reader.readLine());
      
      if (num == 0) {
         System.out.println("goodbye");
         System.exit(0);
      } 

      for (int i = 0; i < num; i++) { 
        String[] params = reader.readLine().split(" ");
//System.out.println(Arrays.toString(params));
        create(params[0], Double.parseDouble(params[1]));
      }


      String line = null;
      while ((line = reader.readLine())!=null) {
        // process command
        String[] params = line.split(" ");
//          System.out.println(">>>"+Arrays.toString(params));
        if ("create".equals(params[0])) {
          create(params[1], 0);
        } else if ("withdraw".equals(params[0])) {
	  System.out.print("withdraw "+params[2]+": ");
          withdraw(params[1], Double.parseDouble(params[2]));
        } else if ("deposit".equals(params[0])) {
	  System.out.print("deposit "+params[2]+": ");
          deposit(params[1], Double.parseDouble(params[2]));
        } else if ("transfer".equals(params[0])) {
          System.out.print("transfer "+params[2]+": ");
          transfer(params[1], params[2], Double.parseDouble(params[3]));
        } else if ("end".equals(params[0])) {  
          System.out.println("end");
          System.out.println("empty: "+reader.readLine());
          break;
        }
      }

    }


    void create(String account, double balance){
       if (accounts.containsKey(account)) {
         System.out.println("create: already exists");
       } else {
	 System.out.println("create: ok");	    
         accounts.put(account, balance);   
       }
       
    }
    boolean deposit(String account, double amount){
       if (accounts.containsKey(account)) {
         accounts.put(account, accounts.get(account)+amount);
         System.out.println("ok");
         return true;
       } else {
         System.out.println("no such account");
         return true;
       }
	
    }
    boolean withdraw(String account, double amount){
       if (accounts.containsKey(account)) {
         if (accounts.get(account)-amount<0) {
           System.out.println("insufficient funds"); 
            return false;
         } else {
           accounts.put(account, accounts.get(account)-amount);
           System.out.println("ok"); 
           return true;
         }
       } else {
         System.out.println("no such account");
         return false
       }
    }
    void transfer(String accountFrom, String accountTo, double amount){
       if (accounts.containsKey(accountFrom)) {
        if (accounts.containsKey(accountTo)) {
          accounts.put(account, accounts.get(account)+amount);
          System.out.println("ok");
	        } else {
           System.out.println("no such account");
         }
       } else {
         System.out.println("no such account");
       }
    }

  }

    

}
